<ng-container *transloco="let t">
  <ion-header class="modal-header">
    <lib-custom-modal-header
      (closeClick)="onCloseClick()"
      [title]="t('feature_funfair.map.search.button')"
    >
    </lib-custom-modal-header>
  </ion-header>
  <ion-content>
    <div class="flex-list-minor">
      <ion-searchbar
        (ionInput)="performSearch($event)"
        [debounce]="300"
        [placeholder]="t('feature_funfair.map.search.placeholder')"
        enterkeyhint="search"
        mode="md"
        type="search"
      ></ion-searchbar>

      <h2>
        @if (this.searchResult) {
          {{
            t('feature_funfair.map.search.result', {
              count: this.searchResult.length,
            })
          }}
        } @else {
          {{ t('feature_funfair.map.search.atoz') }}
        }
      </h2>

      @for (poi of displayedPois; track poi) {
        <lib-funfair-poi-card
          [feature]="poi.feature"
          [highlighted]="selectedPoi?.id === poi.id"
          (showDirectionsEvent)="highlightPoi($event)"
        ></lib-funfair-poi-card>
      }

      <ion-infinite-scroll #infiniteScroll (ionInfinite)="loadData($event)">
        <ion-infinite-scroll-content></ion-infinite-scroll-content>
      </ion-infinite-scroll>
    </div>
  </ion-content>
</ng-container>
